/************************************************************
	FILE: lib_image.h
          prototypes for lib_image.C
************************************************************/

char *mymalloc(int size);
unsigned char getbyte(FILE *inf);
unsigned short getshort(FILE *inf);
long getlong(FILE *inf);
void putbyte(FILE *outf, unsigned char val);
void putshort(FILE *outf, unsigned short val);
static int putlong(FILE *outf, unsigned long val);
IMAGE *find_image(char *name);
IMAGE *newimage(char *name);
void print(int nargs, STR args[]);
void save(int nargs, STR args[]);
void prscanline(IMAGE *image, int row);
void getiline(FILE *inf, char *image,
		 int rleoffset, int rlelength, int zsize);
void expandrow(unsigned char *optr,
		  unsigned char *iptr, int z);
void readlongtab(FILE *inf, long *table, int size);
void read_ppm_image(IMAGE *image, FILE *fp);

void getpixel(IMAGE *i, float u, float v, float &r, float &g, float &b);
void setpixel(int x, int y, float r, float g, float b);










